Cardholder
Create Cardholderโ
This API allows you to create a new cardholder profile in the system.
- Endpoint
POST {{baseUrl}}/issuing/api/:version/cardholder
Description
Creates a new cardholder record within the issuing platform. This API captures the personal details, contact information, and billing/delivery addresses of the customer. The created cardholder profile is then linked to future card issuance requests, ensuring proper identity, delivery, and billing setup.
๐ Path Parameters
version string required
v1.๐ฉ Request Headers
x-api-key string required
x-product-id string required
x-agent-code string required
x-subagent-code string required
x-client-id string
x-request-id string required
Content-Type string required
application/jsonAuthorization string
๐ฆ Body Parameters
title string required
Mr, Mrs, Miss.firstName string required
middleName string
lastName string required
preferredName string required
gender string required
M (Male), F (Female), O (Other).dateOfBirth string required
YYYY-MM-DD).mobileCountryNamestring
mobileCountryCode string required
0โ9) are allowed.mobile string required
0โ9) are allowed.nationality string required
email string required
deliveryAddress1 string
Max length: 35 characters.
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).deliveryAddress2 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).deliveryAddress3 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).deliveryAddress4 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).deliveryCity string
deliveryState string
deliveryCountry string
deliveryZipCode string
billingAddress1 string required
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).billingAddress2 string required
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).billingAddress3 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).billingAddress4 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . - ( ).billingCity string required
billingState string required
billingCountry string required
billingZipCode string required
kycProviderNamestringconditional
SUMSUB, MYINFO, JUMIO, DIDIT.Note:
1. Required only if the client uses their own KYC provider.
2. If the platform's default KYC provider is used, this field is not required.
3. The user's KYC verification must be completed before submitting this value.
kycReferenceIdstringconditional
Note:
1. Required only whenkycProviderNameis provided.
2. This value should correspond to the verification reference generated by the selected KYC provider.
3. The user's KYC verification must be completed before submitting this value.
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request POST \
--url '{{baseUrl}}/issuing/api/:version/cardholder' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-agent-code: {{Shared Agent Code}}' \
--header 'x-subagent-code: {{Shared Sub-Agent Code}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data-raw '{
"title": "Mr",
"firstName": "Sandeep",
"middleName": "",
"lastName": "Sharma",
"preferredName": "S Sharma",
"gender": "M",
"dateOfBirth": "1998-08-11",
"mobileCountryCode": "62",
"mobile": "8234567896",
"nationality": "IN",
"email": "sandeep.test@yopmail.com",
"deliveryAddress1": "10 Anson Road",
"deliveryAddress2": "International Plaza",
"deliveryCity": "Singapore",
"deliveryState": "Central Region",
"deliveryCountry": "SG",
"deliveryZipCode": "079903",
"billingAddress1": "1 Raffles Place",
"billingAddress2": "Tower 2",
"billingCity": "Singapore",
"billingState": "Central Region",
"billingCountry": "SG",
"billingZipCode": "048616"
}'
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/cardholder"
payload = json.dumps({
"title": "Mr",
"firstName": "Sandeep",
"middleName": "",
"lastName": "Sharma",
"preferredName": "S Sharma",
"gender": "M",
"dateOfBirth": "1998-08-11",
"mobileCountryCode": "62",
"mobile": "8234567896",
"nationality": "IN",
"email": "sandeep.test@yopmail.com",
"deliveryAddress1": "10 Anson Road",
"deliveryAddress2": "International Plaza",
"deliveryCity": "Singapore",
"deliveryState": "Central Region",
"deliveryCountry": "SG",
"deliveryZipCode": "079903",
"billingAddress1": "1 Raffles Place",
"billingAddress2": "Tower 2",
"billingCity": "Singapore",
"billingState": "Central Region",
"billingCountry": "SG",
"billingZipCode": "048616"
})
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-agent-code': '{{Shared Agent Code}}',
'x-subagent-code': '{{Shared Sub-Agent Code}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\r\n \"title\": \"Mr\",\r\n \"firstName\": \"Sandeep\",\r\n \"middleName\": \"\",\r\n \"lastName\": \"Sharma\",\r\n \"preferredName\": \"S Sharma\",\r\n \"gender\": \"M\",\r\n \"dateOfBirth\": \"1998-08-11\",\r\n \"mobileCountryCode\": \"62\",\r\n \"mobile\": \"8234567896\",\r\n \"nationality\": \"IN\",\r\n \"email\": \"sandeep.test@yopmail.com\",\r\n \"deliveryAddress1\": \"10 Anson Road\",\r\n \"deliveryAddress2\": \"International Plaza\",\r\n \"deliveryCity\": \"Singapore\",\r\n \"deliveryState\": \"Central Region\",\r\n \"deliveryCountry\": \"SG\",\r\n \"deliveryZipCode\": \"079903\",\r\n \"billingAddress1\": \"1 Raffles Place\",\r\n \"billingAddress2\": \"Tower 2\",\r\n \"billingCity\": \"Singapore\",\r\n \"billingState\": \"Central Region\",\r\n \"billingCountry\": \"SG\",\r\n \"billingZipCode\": \"048616\"\r\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/cardholder")
.method("POST", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-agent-code", "{{Shared Agent Code}}")
.addHeader("x-subagent-code", "{{Shared Sub-Agent Code}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"title": "Mr",
"firstName": "Sandeep",
"middleName": "",
"lastName": "Sharma",
"preferredName": "S Sharma",
"gender": "M",
"dateOfBirth": "1998-08-11",
"mobileCountryCode": "62",
"mobile": "8234567896",
"nationality": "IN",
"email": "sandeep.test@yopmail.com",
"deliveryAddress1": "10 Anson Road",
"deliveryAddress2": "International Plaza",
"deliveryCity": "Singapore",
"deliveryState": "Central Region",
"deliveryCountry": "SG",
"deliveryZipCode": "079903",
"billingAddress1": "1 Raffles Place",
"billingAddress2": "Tower 2",
"billingCity": "Singapore",
"billingState": "Central Region",
"billingCountry": "SG",
"billingZipCode": "048616"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/cardholder',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-agent-code': '{{Shared Agent Code}}',
'x-subagent-code': '{{Shared Sub-Agent Code}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "Cardholder created successfully.",
"code": 200,
"data": [
{
"id": "cardholder-id"
}
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
๐ค Create Cardholder โ Sandbox
๐ Headers
๐ Request Body
๐ป Generated cURL Command
โฏGet Cardholder Detailsโ
This API is used to retrieve the cardholder details.
- Endpoint
GET {{baseUrl}}/issuing/api/:version/cardholder
Description
Retrieves detailed information of a cardholder using the unique cardholderHash-id. This API provides cardholder profile data such as personal details, contact info, and address information.
๐ Path Parameters
version string required
v1.๐ฉ Request Headers
x-api-key string required
x-product-id string required
x-cardholderHash-id string required
x-client-id string
x-request-id string required
Content-Type string required
application/jsonAuthorization string
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/issuing/api/:version/cardholder' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholderHash-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/cardholder"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholderHash-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/cardholder")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholderHash-id", "{{CardholderID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/cardholder',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholderHash-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "Cardholder details retrieved successfully",
"code": 200,
"data": [
{
"lastName": "Sharma",
"gender": "M",
"title": "Mr",
"createAt": "2025-09-22 11:25:47",
"billingAddress2": "Chowk Homes",
"billingAddress1": "Park Street",
"deliveryZipCode": "12SDF5",
"billingCountry": "SG",
"id": "cardholder-id",
"preferredName": "S Sharma",
"email": "sandeep.test@yopmail.com",
"deliveryCity": "Kolkata",
"mobileCountryCode": "65",
"mobile": "123123123",
"deliveryAddress2": "Action Area",
"billingZipCode": "144003",
"dateOfBirth": "1998-08-11",
"billingState": "Punjab",
"deliveryAddress1": "Mani Casadona",
"firstName": "S",
"nationality": "IN",
"deliveryState": "West Bengal",
"deliveryCountry": "SG",
"middleName": "",
"billingCity": "Malda",
"status": "ACTIVE"
}
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
โน๏ธ Get Cardholder Details โ Sandbox
๐ Headers
๐ป Generated cURL Command
โฏUpdate Cardholderโ
This API allows you to update a cardholder profile in the system.
- Endpoint
PATCH {{baseUrl}}/issuing/api/:version/cardholder
Description
Updates an existing cardholder record within the issuing platform. This API allows modification of the cardholderโs personal details, contact information, and billing/delivery addresses. The updated cardholder profile remains linked to associated cards and future card-related operations, ensuring accurate identity, delivery, and billing information.
๐ Path Parameters
version string required
v1.๐ฉ Request Headers
x-api-key string required
x-product-id string required
x-cardholderHash-id string required
x-client-id string
x-request-id string required
Content-Type string required
application/jsonAuthorization string
๐ฆ Body Parameters
title string
Mr, Mrs, Miss.firstName string
middleName string
lastName string
preferredName string
gender string
M (Male), F (Female), O (Other).dateOfBirth string
YYYY-MM-DD).mobileCountryNamestring
mobileCountryCode string
0โ9) are allowed.mobile string
0โ9) are allowed.nationality string
email string
deliveryAddress1 string
Max length: 35 characters.
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.deliveryAddress2 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.deliveryAddress3 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.deliveryAddress4 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.deliveryCity string
deliveryState string
deliveryCountry string
deliveryZipCode string
billingAddress1 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.billingAddress2 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.billingAddress3 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.billingAddress4 string
Allows only letters, numbers, spaces (not at the start or end), and the characters
_ @ # / , . -.billingCity string
billingState string
billingCountry string
billingZipCode string
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request PATCH \
--url '{{baseUrl}}/issuing/api/:version/cardholder' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholderHash-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"firstName": "Sandeep",
"lastName": "Sharma",
"mobile": "8234567891"
}'
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/cardholder "
payload = json.dumps({
"firstName": "Sandeep",
"lastName": "Sharma",
"mobile": "8234567891"
})
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholderHash-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"firstName\": \"Sandeep\",\n \"lastName\": \"Sharma\",\n \"mobile\": \"8234567891\"\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/cardholder ")
.method("PATCH", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholderHash-id", "{{CardholderID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"firstName": "Sandeep",
"lastName": "Sharma",
"mobile": "8234567891"
});
let config = {
method: 'patch',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/cardholder ',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholderHash-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "CardHolder details updated successfully!",
"code": 200,
"data": [
"CardHolder details updated successfully!"
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
๐ ๏ธ Update Cardholder โ Sandbox
๐ Headers
๐ Request Body
๐ป Generated cURL Command
โฏActivate Cardholderโ
This API is used to reactivate / enable a previously deactivated cardholder profile in the system.
- Endpoint
POST {{baseUrl}}/issuing/api/:version/cardholder/activate
Description
This API allows you to activate a registered cardholder whose profile was previously temporarily or permanently deactivated. Once activated, the cardholder regains full access to wallet and card functionalities.
๐ Path Parameters
version string required
v1.๐ฉ Request Headers
x-api-key string required
x-product-id string required
x-cardholder-id string required
x-client-id string
x-request-id string required
Content-Type string required
application/jsonAuthorization string
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request POST \
--url '{{baseUrl}}/issuing/api/:version/cardholder/activate' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholder-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/cardholder/activate"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/cardholder/activate")
.method("POST", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholder-id", "{{CardholderID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'post',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/cardholder/activate',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "CardHolder activated successfully!",
"code": 200,
"data": [
"ACTIVE"
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
โก Activate Cardholder โ Sandbox
๐ Headers
๐ป Generated cURL Command
โฏDeactivate Cardholderโ
This API is used to deactivates a cardholder profile from the system.
- Endpoint
DELETE {{baseUrl}}/issuing/api/:version/cardholder
Description
This API allows you to deactivate a registered cardholder. The deactivation can be temporary or permanent depending on the value passed in the status field.
๐ Path Parameters
version string required
v1.๐ฉ Request Headers
x-api-key string required
x-product-id string required
x-cardholder-id string required
x-client-id string
x-request-id string required
Content-Type string required
application/jsonAuthorization string
๐ฆ Body Parameters
status string required
Temporary Deactivate or Permanent Deactivate.reason string required
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request DELETE \
--url '{{baseUrl}}/issuing/api/:version/cardholder' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholder-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data '{
"status": "Temporary Deactivate",
"reason": ""
}'
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/cardholder"
payload = json.dumps({
"status": "Temporary Deactivate",
"reason": ""
})
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"status\": \"Temporary Deactivate\",\n \"reason\": \"\"\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/cardholder")
.method("DELETE", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholder-id", "{{CardholderID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"status": "Temporary Deactivate",
"reason": ""
});
let config = {
method: 'delete',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/cardholder',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "CardHolder deactivated successfully!",
"code": 200,
"data": [
"Temporary Deactivate"
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}